Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1890577 - rpm-ostree crashes on armhfp during most transactions
Summary: rpm-ostree crashes on armhfp during most transactions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm-ostree
Version: 33
Hardware: armhfp
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2020-10-22 14:19 UTC by Paul Whalen
Modified: 2020-11-17 01:35 UTC (History)
8 users (show)

Fixed In Version: rpm-ostree-2020.8-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-17 01:35:32 UTC
Type: Bug


Attachments (Terms of Use)
rpm-ostree backtrace (18.31 KB, text/plain)
2020-10-22 14:20 UTC, Paul Whalen
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github coreos rpm-ostree pull 2276 0 None closed sysroot: Fix usage of sd_journal_send on 32 bit 2020-11-22 18:20:24 UTC

Description Paul Whalen 2020-10-22 14:19:06 UTC
Description of problem:

rpm-ostree commands crash on armhfp, usually at the end and most operations are successful. 

Running posttrans scripts... done
Writing rpmdb... done
Writing OSTree commit... done
Staging deployment... done
error: Bus owner changed, aborting. This likely means the daemon crashed; check logs with `journalctl -xe`.

coredumpctl info
PID: 18440 (rpm-ostree)
           UID: 0 (root)
           GID: 0 (root)
        Signal: 11 (SEGV)
     Timestamp: Thu 2020-10-22 14:16:28 UTC (37s ago)
  Command Line: /usr/bin/rpm-ostree start-daemon
    Executable: /usr/bin/rpm-ostree
 Control Group: /system.slice/rpm-ostreed.service
          Unit: rpm-ostreed.service
         Slice: system.slice
       Boot ID: 5a756898ea294e4db6dce9e66a075919
    Machine ID: 4e283352bf6d4a829a5e069568b9bcb1
      Hostname: rpi2-1
       Storage: /var/lib/systemd/coredump/core.rpm-ostree.0.5a756898ea294e4db6dce9e66a075919.18440.1603376188000000.zst
       Message: Process 18440 (rpm-ostree) of user 0 dumped core.
                
                Stack trace of thread 19050:
                #0  0x00000000b5daca40 __strchrnul (libc.so.6 + 0x80a40)
                #1  0x00000000b5d83b70 __find_specmb (libc.so.6 + 0x57b70)
                #2  0x00000000b5d96724 __vasprintf_internal (libc.so.6 + 0x6a724)
                #3  0x00000000b649c438 fill_iovec_sprintf (libsystemd.so.0 + 0x6b438)

Comment 1 Paul Whalen 2020-10-22 14:20:03 UTC
Created attachment 1723531 [details]
rpm-ostree backtrace

Comment 2 Fedora Update System 2020-10-28 14:37:55 UTC
FEDORA-2020-304e2b12b2 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-304e2b12b2

Comment 3 Fedora Update System 2020-10-29 01:51:54 UTC
FEDORA-2020-304e2b12b2 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-304e2b12b2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-304e2b12b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-11-04 03:01:45 UTC
FEDORA-2020-6e743def1d has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6e743def1d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6e743def1d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-11-15 01:05:44 UTC
FEDORA-2020-288ba115be has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-288ba115be`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-288ba115be

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-11-17 01:35:32 UTC
FEDORA-2020-288ba115be has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.